<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'seo_marketing_expert_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_logo_text',
		'section'     => 'title_tagline',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
		'partial_refresh'    => [
		'seo_marketing_expert_display_header_title' => [
			'selector'        => '.logo a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'seo-marketing-expert' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
		'partial_refresh'    => [
		'seo_marketing_expert_display_header_text' => [
			'selector'        => '.logo-content span',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'seo_marketing_expert_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'seo-marketing-expert' ),
	) );

	Kirki::add_section( 'seo_marketing_expert_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'seo-marketing-expert' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_all_headings_typography',
		'section'     => 'seo_marketing_expert_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'seo_marketing_expert_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'seo-marketing-expert' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_body_content_typography',
		'section'     => 'seo_marketing_expert_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'seo_marketing_expert_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'seo-marketing-expert' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );


	// PANEL

	Kirki::add_panel( 'seo_marketing_expert_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'seo-marketing-expert' ),
	) );

	// Additional Settings

	Kirki::add_section( 'seo_marketing_expert_addtional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Scroll To Top', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default'     => '1',
		'priority'    => 10,
		'partial_refresh'    => [
		'seo_marketing_expert_scroll_enable_setting' => [
			'selector'        => '.scroll-up a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	new \Kirki\Field\Radio_Buttonset(
		[
			'settings'    => 'seo_marketing_expert_scroll_top_position',
			'label'       => esc_html__( 'Alignment for Scroll To Top', 'seo-marketing-expert' ),
			'section'     => 'seo_marketing_expert_addtional_settings',
			'default'     => 'Right',
			'priority'    => 10,
			'choices'     => [
				'Left'   => esc_html__( 'Left', 'seo-marketing-expert' ),
				'Center' => esc_html__( 'Center', 'seo-marketing-expert' ),
				'Right'  => esc_html__( 'Right', 'seo-marketing-expert' ),
			],
		]
		);

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'seo_marketing_expert_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_addtional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_seo_marketing_expert',
		'label'       => esc_html__( 'Menus Text Transform', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'seo-marketing-expert' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'seo-marketing-expert' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'seo-marketing-expert' ),

		],
	] );

		new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'None' => __('None','seo-marketing-expert'),
            'Zoominn' => __('Zoom Inn','seo-marketing-expert'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'seo_marketing_expert_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_addtional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert'),
            'One Column' => __('One Column','seo-marketing-expert')
		],
	] );



	if ( class_exists("woocommerce")){

	// Woocommerce Settings

	Kirki::add_section( 'seo_marketing_expert_woocommerce_settings', array(
			'title'          => esc_html__( 'Woocommerce Settings', 'seo-marketing-expert' ),
			'description'    => esc_html__( 'Shop Page', 'seo-marketing-expert' ),
			'panel'          => 'seo_marketing_expert_panel_id',
			'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
	[
		'settings' => 'seo_marketing_expert_per_columns',
		'label'    => esc_html__( 'Product Per Row', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'seo_marketing_expert_product_per_page',
		'label'    => esc_html__( 'Product Per Page', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_woocommerce_settings',
		'default'  => 9,
		'choices'  => [
			'min'  => 1,
			'max'  => 15,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'seo_marketing_expert_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'seo-marketing-expert' ),
			'Center' => esc_html__( 'Center', 'seo-marketing-expert' ),
			'Right'  => esc_html__( 'Right', 'seo-marketing-expert' ),
		],
	]
	);

}

	// POST SECTION

	Kirki::add_section( 'seo_marketing_expert_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'seo_marketing_expert_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'seo-marketing-expert' ),
		'section'  => 'seo_marketing_expert_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'seo-marketing-expert' ),
			'option2' => esc_html__( 'Post Title', 'seo-marketing-expert' ),
			'option3' => esc_html__( 'Post Content', 'seo-marketing-expert' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'seo_marketing_expert_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 50,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'seo_marketing_expert_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','seo-marketing-expert'),
            'Right Sidebar' => __('Right Sidebar','seo-marketing-expert')
		],
	] );

	Kirki::add_field( 'seo_marketing_expert_config', [
		'type'        => 'select',
		'settings'    => 'seo_marketing_expert_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'seo-marketing-expert' ),
				'2' => __( '2 Column', 'seo-marketing-expert' ),
				'3' => __( '3 Column', 'seo-marketing-expert' ),
				'4' => __( '4 Column', 'seo-marketing-expert' ),
			],
	] );

	// HEADER SECTION

	Kirki::add_section( 'seo_marketing_expert_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_socail_link',
		'section'     => 'seo_marketing_expert_section_header',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'seo_marketing_expert_section_header',
		'priority'    => 10,
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'seo-marketing-expert' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'seo-marketing-expert' ),
		'settings'     => 'seo_marketing_expert_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'seo-marketing-expert' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'seo-marketing-expert' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'seo-marketing-expert' ),
				'description' => esc_html__( 'Add the social icon url here.', 'seo-marketing-expert' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
		'partial_refresh'    => [
		'seo_marketing_expert_social_links_settings' => [
			'selector'        => '.social-links a',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'seo_marketing_expert_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'seo-marketing-expert' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'seo-marketing-expert' ),
        'panel'          => 'seo_marketing_expert_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_heading',
		'section'     => 'seo_marketing_expert_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
		'partial_refresh'    => [
		'seo_marketing_expert_blog_box_enable' => [
			'selector'        => '.blog_box h3',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_slider_heading',
		'section'     => 'seo_marketing_expert_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'seo_marketing_expert_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'seo_marketing_expert_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'seo-marketing-expert' ),
		'priority'    => 10,
		'choices'     => seo_marketing_expert_get_categories_select(),
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'label'    => 'Extra Slider Text',
		'settings' => 'seo_marketing_expert_extra_text',
		'section'  => 'seo_marketing_expert_blog_slide_section',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'seo_marketing_expert_enable_heading_22',
	'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Content Alignment', 'seo-marketing-expert' ) . '</h3>',
	'priority'    => 10,
] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'seo-marketing-expert' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'seo-marketing-expert' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'seo-marketing-expert' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_slider_opacity_color',
		'label'       => esc_html__( 'Slider Image Opacity Option', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '0.4',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'0' => esc_html__( '0', 'seo-marketing-expert' ),
			'0.1' => esc_html__( '0.1', 'seo-marketing-expert' ),
			'0.2' => esc_html__( '0.2', 'seo-marketing-expert' ),
			'0.3' => esc_html__( '0.3', 'seo-marketing-expert' ),
			'0.4' => esc_html__( '0.4', 'seo-marketing-expert' ),
			'0.5' => esc_html__( '0.5', 'seo-marketing-expert' ),
			'0.6' => esc_html__( '0.6', 'seo-marketing-expert' ),
			'0.7' => esc_html__( '0.7', 'seo-marketing-expert' ),
			'0.8' => esc_html__( '0.8', 'seo-marketing-expert' ),
			'0.9' => esc_html__( '0.9', 'seo-marketing-expert' ),
			'1.0' => esc_html__( '1.0', 'seo-marketing-expert' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'seo_marketing_expert_slider_image_overlay_color',
		'label'       => __( 'Choose your Appropriate slider content Background Color', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_blog_slide_section',
		'default'     => '',
	] );

	// PORTFOLIO SECTION

	Kirki::add_section( 'seo_marketing_expert_portfolio_section', array(
	    'title'          => esc_html__( 'Portfolio Settings', 'seo-marketing-expert' ),
	    'description'    => esc_html__( 'Here you can add portfolio post.', 'seo-marketing-expert' ),
	    'panel'          => 'seo_marketing_expert_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_enable_heading',
		'section'     => 'seo_marketing_expert_portfolio_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Portfolio',  'seo-marketing-expert' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_portfolio_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => '0',
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable',  'seo-marketing-expert' ),
		],
		'partial_refresh'    => [
		'seo_marketing_expert_portfolio_section_enable' => [
			'selector'        => '#portfolio h2',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_short_heading' ,
        'label'    => esc_html__( 'Short Heading',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_heading' ,
        'label'    => esc_html__( 'Heading',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'seo_marketing_expert_portfolio_text' ,
        'label'    => esc_html__( 'Text',  'seo-marketing-expert' ),
        'section'  => 'seo_marketing_expert_portfolio_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_portfolio_cat_heading',
		'section'     => 'seo_marketing_expert_portfolio_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( ' Category Dropdown', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'seo_marketing_expert_portfolio_number',
		'label'       => esc_html__( 'Number of post to show', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'seo_marketing_expert_portfolio_category',
		'label'       => esc_html__( 'Select the category to show left side post', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_portfolio_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'seo-marketing-expert' ),
		'priority'    => 10,
		'choices'     => seo_marketing_expert_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'seo_marketing_expert_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'seo-marketing-expert' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'seo-marketing-expert' ),
        'panel'          => 'seo_marketing_expert_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_footer_text_heading',
		'section'     => 'seo_marketing_expert_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'seo_marketing_expert_footer_text',
		'section'  => 'seo_marketing_expert_footer_section',
		'default'  => '',
		'priority' => 10,
		'partial_refresh'    => [
		'seo_marketing_expert_footer_text' => [
			'selector'        => '.copy-text p',
			'render_callback' => function() {
				return get_bloginfo( 'name', 'display' );
			},
		],
	],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'seo_marketing_expert_footer_enable_heading',
		'section'     => 'seo_marketing_expert_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'seo-marketing-expert' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'seo_marketing_expert_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'seo-marketing-expert' ),
			'off' => esc_html__( 'Disable', 'seo-marketing-expert' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'seo_marketing_expert_footer_text_heading_2',
	'section'     => 'seo_marketing_expert_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'seo-marketing-expert' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'seo_marketing_expert_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'seo-marketing-expert' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'seo-marketing-expert' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'seo-marketing-expert' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'seo-marketing-expert' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'seo_marketing_expert_footer_text_heading_1',
	'section'     => 'seo_marketing_expert_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'seo-marketing-expert' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'seo_marketing_expert_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'seo-marketing-expert' ),
		'section'     => 'seo_marketing_expert_footer_section',
		'default'     => '',
	] );
}
