<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_seo_marketing_expert_dismissed_notice_handler', 'seo_marketing_expert_ajax_notice_handler' );

function seo_marketing_expert_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function seo_marketing_expert_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_seo-marketing-expert-guide-page') {
             $seo_marketing_expert_comments_theme = wp_get_theme(); ?>
            <div class="seo-marketing-expert-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="seo-marketing-expert-notice">
				<div class="seo-marketing-expert-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'seo-marketing-expert'); ?>">
				</div>
				<div class="seo-marketing-expert-notice-content">
					<div class="seo-marketing-expert-notice-heading"><?php esc_html_e('Thanks for installing ','seo-marketing-expert'); ?><?php echo esc_html( $seo_marketing_expert_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'seo-marketing-expert'), esc_url(admin_url('themes.php?page=seo-marketing-expert-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'seo_marketing_expert_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'seo_marketing_expert_getting_started' );
function seo_marketing_expert_getting_started() {
	add_theme_page( esc_html__('Get Started', 'seo-marketing-expert'), esc_html__('Get Started', 'seo-marketing-expert'), 'edit_theme_options', 'seo-marketing-expert-guide-page', 'seo_marketing_expert_test_guide');
}

function seo_marketing_expert_admin_enqueue_scripts() {
	wp_enqueue_style( 'seo-marketing-expert-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'seo-marketing-expert-admin-script', get_template_directory_uri() . '/js/seo-marketing-expert-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'seo-marketing-expert-admin-script', 'seo_marketing_expert_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'seo_marketing_expert_admin_enqueue_scripts' );

if ( ! defined( 'SEO_MARKETING_EXPERT_DOCS_FREE' ) ) {
define('SEO_MARKETING_EXPERT_DOCS_FREE',__('https://www.misbahwp.com/docs/seo-marketing-expert-free-docs/','seo-marketing-expert'));
}
if ( ! defined( 'SEO_MARKETING_EXPERT_DOCS_PRO' ) ) {
define('SEO_MARKETING_EXPERT_DOCS_PRO',__('https://www.misbahwp.com/docs/seo-marketing-expert-pro-docs','seo-marketing-expert'));
}
if ( ! defined( 'SEO_MARKETING_EXPERT_BUY_NOW' ) ) {
define('SEO_MARKETING_EXPERT_BUY_NOW',__('https://www.misbahwp.com/themes/seo-agency-wordpress-theme/','seo-marketing-expert'));
}
if ( ! defined( 'SEO_MARKETING_EXPERT_SUPPORT_FREE' ) ) {
define('SEO_MARKETING_EXPERT_SUPPORT_FREE',__('https://wordpress.org/support/theme/seo-marketing-expert','seo-marketing-expert'));
}
if ( ! defined( 'SEO_MARKETING_EXPERT_REVIEW_FREE' ) ) {
define('SEO_MARKETING_EXPERT_REVIEW_FREE',__('https://wordpress.org/support/theme/seo-marketing-expert/reviews/#new-post','seo-marketing-expert'));
}
if ( ! defined( 'SEO_MARKETING_EXPERT_DEMO_PRO' ) ) {
define('SEO_MARKETING_EXPERT_DEMO_PRO',__('https://www.misbahwp.com/demo/seo-marketing-expert/','seo-marketing-expert'));
}
if( ! defined( 'SEO_MARKETING_EXPERT_THEME_BUNDLE' ) ) {
define('SEO_MARKETING_EXPERT_THEME_BUNDLE',__('https://www.misbahwp.com/themes/wordpress-bundle/','seo-marketing-expert'));
}

function seo_marketing_expert_test_guide() { ?>
	<?php $seo_marketing_expert_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( SEO_MARKETING_EXPERT_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'seo-marketing-expert' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'seo-marketing-expert' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( SEO_MARKETING_EXPERT_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'seo-marketing-expert' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( SEO_MARKETING_EXPERT_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'seo-marketing-expert' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','seo-marketing-expert'); ?><?php echo esc_html( $seo_marketing_expert_theme ); ?>  <span><?php esc_html_e('Version: ', 'seo-marketing-expert'); ?><?php echo esc_html($seo_marketing_expert_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$seo_marketing_expert_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $seo_marketing_expert_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'seo-marketing-expert' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','seo-marketing-expert'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( SEO_MARKETING_EXPERT_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'seo-marketing-expert' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( SEO_MARKETING_EXPERT_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'seo-marketing-expert' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( SEO_MARKETING_EXPERT_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'seo-marketing-expert' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'seo-marketing-expert' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 50+ Perfect WordPress Theme In A Single Package at just $79."','seo-marketing-expert'); ?></p>
					<p class="coupon"><?php esc_html_e('Exclusive Offer !! Get Our Theme Pack of 60+ WordPress Themes At 10% Off','seo-marketing-expert'); ?><span class="coupon-code"><?php esc_html_e('"Themespack10"','seo-marketing-expert'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( SEO_MARKETING_EXPERT_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'seo-marketing-expert' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','seo-marketing-expert'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','seo-marketing-expert'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','seo-marketing-expert'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','seo-marketing-expert'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
